<?xml version="1.0" encoding="utf-8" ?>
<Feature SiLA2Version="1.0" FeatureVersion="1.0" Originator="de.unigoettingen"
         Category="tests"
         xmlns="http://www.sila-standard.org"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.sila-standard.org https://gitlab.com/SiLA2/sila_base/raw/master/schema/FeatureDefinition.xsd">
    <Identifier>List</Identifier>
    <DisplayName>List</DisplayName>
    <Description>A feature with a List type</Description>
    <DataTypeDefinition>
        <Identifier>TestList</Identifier>
        <DisplayName>Test List</DisplayName>
        <Description>A list</Description>
        <DataType>
            <List>
                <DataType>
                    <Basic>Integer</Basic>
                </DataType>
            </List>
        </DataType>
    </DataTypeDefinition>
    <DataTypeDefinition>
        <Identifier>ConstrainedList</Identifier>
        <DisplayName>Constrained List</DisplayName>
        <Description>A list with constraints</Description>
        <DataType>
            <Constrained>
                <DataType>
                    <List>
                        <DataType>
                            <Basic>Integer</Basic>
                        </DataType>
                    </List>
                </DataType>
                <Constraints>
                    <MinimalElementCount>2</MinimalElementCount>
                    <ElementCount>3</ElementCount>
                    <MaximalElementCount>4</MaximalElementCount>
                </Constraints>
            </Constrained>
        </DataType>
    </DataTypeDefinition>
</Feature>
